Description

I noticed that when | tried to use the RootDAQOut output module (which is an artdaq extension of the RootOuput module), my
artdag-demo raw data files were being written to /tmp, even though | had specified a data_directory_override in my DAQInterface
settings file.

| realized that this is because DAQInterface bookkeeping was using the exact "RootOutput” string when searching for the section of
FHICL to bookkeep.

I modified rc/control/bookkeeping.py and rc/control/utilities.py to support both RootOutput and RootDAQOut and committed those
changes to the feature/Support_RootDAQOut branch in the artdag-utilities-daginterface repository.

History

#1 - 08/30/2018 12:48 PM - Kurt Biery
- Status changed from Assigned to Resolved

- Assignee changed from Kurt Biery to John Freeman

At this point, the code changes are ready for review and possible merging into the develop branch.

#2 - 09/06/2018 02:48 PM - John Freeman
- % Done changed from 0 to 100

Now at the HEAD of DAQInterface's develop branch, commit 3996c406df83bb5f922b33e26ead316cee41d045, the RootDAQOut improvements have
been merged in. At the HEAD, RootDAQOut has supplanted RootOutput as the module used by DataLogger1.fcl in the demo configuration. Despite
this change, the output *.root file was correctly written to the directory specified by the data_directory_override parameter in the file referred to by
$DAQINTERFACE_SETTINGS. This statement is based on my run 1328 on mu2edaq01:

/home/jcfree/run_records/1328
/home/jcfree/dagdata/artdagdemo_r001328_sr01_20180906T193929_1_dI3.root

#3 - 10/12/2018 12:50 PM - Eric Flumerfelt
- Project changed from artdaq to artdaq Ultilities
- Category set to artdaq-daqinterface

- Target version set to artdaq_dagqinterface v3_03 01
